# optimsimplex_destroy

Destroys the simplex object.

## Calling Sequence

                opt = optimsimplex_destroy(opt)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

## Description

The `optimsimplex_destroy` function destroys the `x` and `fv` fields of a simplex object, i.e. the coordinates of the vertices and the function values.

## Example

        function y = rosenbrock(x)
            y = 100 * (x(2) - x(1)^2)^2 + (1 - x(1))^2;
         endfunction

         coords = [
            0.  0.
            1.  0.
            0.  1.
         ];

         s1 = optimsimplex_new ( coords , rosenbrock );
        res = optimsimplex_getall ( s1 );
        disp(res)

        s1 = optimsimplex_destroy(s1);
        disp(s1)

## See Also

- optimsimplex_new